summaryrefslogtreecommitdiffstats
path: root/source.local/l/qca
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-04-06 19:43:55 +0200
committer Eric Hameleers <alien@slackware.com>2013-04-06 19:43:55 +0200
commit55bce4decbbdde684c63507f88f4f33694579f4f (patch)
tree409994b26efea8c2a9f65206de616bed4f931d25 /source.local/l/qca
parentb100c7c57e8a1363adfffe22f68b6429b9576dd3 (diff)
downloadalienarm-55bce4decbbdde684c63507f88f4f33694579f4f.tar.gz
alienarm-55bce4decbbdde684c63507f88f4f33694579f4f.tar.xz
Update to Alien's ARM which allows XFCE to run on an ARM ChromeBook.
This large update brings Alien's ARM repository almost to the same level of package versions in slackware-current. THese updates were needed to make it possible to start a functional XFCE session on Samsung's ARM ChromeBook (XE303C12).
Diffstat (limited to 'source.local/l/qca')
-rw-r--r--source.local/l/qca/qca-2.0.2_gcc47.patch.gzbin0 -> 544 bytes
-rwxr-xr-xsource.local/l/qca/qca.SlackBuild61
2 files changed, 33 insertions, 28 deletions
diff --git a/source.local/l/qca/qca-2.0.2_gcc47.patch.gz b/source.local/l/qca/qca-2.0.2_gcc47.patch.gz
new file mode 100644
index 0000000..4a30b45
--- /dev/null
+++ b/source.local/l/qca/qca-2.0.2_gcc47.patch.gz
Binary files differ
diff --git a/source.local/l/qca/qca.SlackBuild b/source.local/l/qca/qca.SlackBuild
index 4a889b0..a5ea50a 100755
--- a/source.local/l/qca/qca.SlackBuild
+++ b/source.local/l/qca/qca.SlackBuild
@@ -25,37 +25,38 @@
# No additional license terms and no copyright claim
PKGNAM=qca
-VERSION=2.0.2
+VERSION=${VERSION:-2.0.2}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j6}
-# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
-if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
- esac
-fi
-
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "armv7hl" ]; then
- SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
- LIBDIRSUFFIX=""
+if [ -e $CWD/machine.conf ]; then
+ . $CWD/machine.conf ]
+elif [ -e /etc/slackbuild/machine.conf ]; then
+ . /etc/slackbuild/machine.conf ]
else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
+ # Automatically determine the architecture we're building on:
+ if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+ fi
+ # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+ if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ fi
fi
CWD=$(pwd)
@@ -68,6 +69,10 @@ cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
cd $PKGNAM-$VERSION || exit 1
+
+# Compensate for gcc 4.7:
+zcat $CWD/qca-2.0.2_gcc47.patch.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -79,7 +84,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
make $NUMJOBS || make || exit 1
make install INSTALL_ROOT=$PKG || exit 1